#pragma once

#include <stdint.h>

#include "scan.h"

struct pshdr {
	uint32_t src_addr;
	uint32_t dst_addr;
	uint8_t placeholder;
	uint8_t protocol;
	uint16_t tcp_length;
};

int send_packets(const struct scan *data, int sockfd);
unsigned short checksum(void *data, int len);
